Eclipse Platform Release 3.7

## org.eclipse.ltk.core.refactoring
Class RefactoringChangeDescriptor

    java.lang.Object
      org.eclipse.ltk.core.refactoring.ChangeDescriptor
          org.eclipse.ltk.core.refactoring.RefactoringChangeDescriptor

    public class RefactoringChangeDescriptor

extends ChangeDescriptor

A `RefactoringChangeDescriptor` describes changes created by a refactoring. Changes created by a refactoring should provide an appropriate refactoring change descriptor, which allows to completely reconstruct the particular refactoring instance from the encapsulated refactoring descriptor.

Note: this class is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`RefactoringChangeDescriptor(RefactoringDescriptor descriptor)` Creates the `RefactoringChangeDescriptor` with the `RefactoringDescriptor` that originated the change.

Method Summary
`RefactoringDescriptor` `getRefactoringDescriptor()` Returns the `RefactoringDescriptor` that originated the change.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefactoringChangeDescriptor

    public RefactoringChangeDescriptor(RefactoringDescriptor descriptor)

  Creates the `RefactoringChangeDescriptor` with the `RefactoringDescriptor` that originated the change.

  Parameters:
    `descriptor` - the `RefactoringDescriptor` that originated the change.

Method Detail

### getRefactoringDescriptor

    public RefactoringDescriptor getRefactoringDescriptor()

  Returns the `RefactoringDescriptor` that originated the change.

  Returns:
    the `RefactoringDescriptor` that originated the change.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.